WITH 
list AS (
SELECT
    iterdef->>'user' "user",
    iterdef->>'stamp' "stamp",
    iterdef->>'mesasage' "comment",
    round(SUM(fb_val_loc * r_rate)::numeric,2) sales,
    jsonb_pretty(iterdef) def
FROM
    rlarp.osm_fcpool
WHERE
    iterdef IS NOT NULL
    AND iterdef @> $$replace_user$$::jsonb
GROUP BY
    iterdef->>'user',
    iterdef->>'stamp',
    iterdef->>'message',
    iterdef
)
SELECT
    jsonb_agg(row_to_json(list)::jsonb) x from list